Submit check results
curl --request POST \
--url https://backstage.example.com/api/soundcheck/results \
--header 'Content-Type: application/json' \
--data '
{
"results": [
{
"entityRef": "<string>",
"checkId": "<string>",
"state": "<string>",
"details": {},
"scope": "<string>",
"submittedBy": "<string>"
}
],
"preserveStateOnError": true
}
'import requests
url = "https://backstage.example.com/api/soundcheck/results"
payload = {
"results": [
{
"entityRef": "<string>",
"checkId": "<string>",
"state": "<string>",
"details": {},
"scope": "<string>",
"submittedBy": "<string>"
}
],
"preserveStateOnError": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
results: [
{
entityRef: '<string>',
checkId: '<string>',
state: '<string>',
details: {},
scope: '<string>',
submittedBy: '<string>'
}
],
preserveStateOnError: true
})
};
fetch('https://backstage.example.com/api/soundcheck/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"entityRef": "<string>",
"checkId": "<string>",
"state": "<string>",
"details": {},
"scope": "<string>",
"submittedBy": "<string>"
}
],
"status": "<string>"
}{
"error": {
"name": "<string>",
"message": "<string>"
},
"response": {
"statusCode": 123
},
"request": {
"method": "<string>",
"url": "<string>"
}
}"<string>"CheckResults
Submit check results
Submit check results for one or more entities.
POST
/
results
Submit check results
Query Parameters
If true, return the updated results in the response.
Body
application/json
Show child attributes
Show child attributes
When true, incoming results with state "error" will not override existing non-error states. If a prior result exists, its state is preserved and only details, submittedBy, and lastChecked are updated. Mimics internal check execution behavior.
⌘I